Package org.eclipse.birt.report.engine.api

# Class HTMLActionHandler

java.lang.Object
org.eclipse.birt.report.engine.api.HTMLActionHandler

All Implemented Interfaces:
  `IHTMLActionHandler`

public class HTMLActionHandler extends Object implements IHTMLActionHandler
Defines a default action handler for HTML output format

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Logger`
`log`
logger

## Constructor Summary

Constructors
Constructor
Description
`HTMLActionHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`appendBookmark(StringBuffer buffer, String bookmark)`
Append bookmark.
`protected void`
`appendBookmarkAsParamter(StringBuffer buffer, String bookmark)`
Append bookmark as parameter .
`protected void`
`appendFormat(StringBuffer buffer, String format)`
Append format.
`protected void`
`appendParamter(StringBuffer buffer, String key, Object valueObj)`
Append parameter.
`protected void`
`appendReportDesignName(StringBuffer buffer, String reportName)`
Append report design name into a StringBuffer.
`protected String`
`buildDrillAction(IAction action, Object context)`
builds URL for drillthrough action
`protected Object`
`getRenderContext(org.eclipse.birt.report.engine.api.script.IReportContext context)`
Get render context.
`String`
`getURL(IAction actionDefn, Object context)`
Generates a URL based on the action definition.
`String`
`getURL(IAction actionDefn, org.eclipse.birt.report.engine.api.script.IReportContext context)`
Get URL of the action.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

protected Logger log
logger

## Constructor Details

### HTMLActionHandler

public HTMLActionHandler()

## Method Details

### getURL

public String getURL(IAction actionDefn, org.eclipse.birt.report.engine.api.script.IReportContext context)
Get URL of the action.

Specified by:
  `getURL` in interface `IHTMLActionHandler`
Parameters:
  `actionDefn` -
  `context` -
Returns:
  URL

### getURL

public String getURL(IAction actionDefn, Object context)
Description copied from interface: `IHTMLActionHandler`
Generates a URL based on the action definition.

Specified by:
  `getURL` in interface `IHTMLActionHandler`
Parameters:
  `actionDefn` - definition of an action
  `context` - the context for creating the hyper link
Returns:
  the URL based on an action

### buildDrillAction

protected String buildDrillAction(IAction action, Object context)
builds URL for drillthrough action

Parameters:
  `action` - instance of the IAction instance
  `context` - the context for building the action string
Returns:
  a URL

### appendReportDesignName

protected void appendReportDesignName(StringBuffer buffer, String reportName)
Append report design name into a StringBuffer.

Parameters:
  `buffer` -
  `reportName` -

### appendFormat

protected void appendFormat(StringBuffer buffer, String format)
Append format.

Parameters:
  `buffer` -
  `format` -

### appendParamter

protected void appendParamter(StringBuffer buffer, String key, Object valueObj)
Append parameter.

Parameters:
  `buffer` -
  `key` -
  `valueObj` -

### appendBookmarkAsParamter

protected void appendBookmarkAsParamter(StringBuffer buffer, String bookmark)
Append bookmark as parameter .

Parameters:
  `buffer` -
  `bookmark` -

### appendBookmark

protected void appendBookmark(StringBuffer buffer, String bookmark)
Append bookmark.

Parameters:
  `buffer` -
  `bookmark` -

### getRenderContext

protected Object getRenderContext(org.eclipse.birt.report.engine.api.script.IReportContext context)
Get render context.

Parameters:
  `context` -
Returns: